<?php

spl_autoload_register(function ($className) {
    include getClassPath($className) . '.php';
});

function getClassPath(string $className): string
{
    $registeredClasses = [
        'App\Controller' => 'Controller',
        'App\Model\ModelAbstract' => 'model/ModelAbstract',
        'App\Model\Pharmacy' => 'model/Pharmacy',
        'App\Model\Drug' => 'model/Drug',
        'App\Model\PharmacyDrug' => 'model/PharmacyDrug',
        'App\Repository\DbConnect' => 'repository/DbConnect',
        'App\Repository\RepositoryAbstract' => 'repository/RepositoryAbstract',
        'App\Repository\PharmacyRepository' => 'repository/PharmacyRepository',
        'App\Repository\DrugRepository' => 'repository/DrugRepository',
        'App\Repository\PharmacyDrugRepository' => 'repository/PharmacyDrugRepository'
    ];

    return $registeredClasses[$className];
}
