<?php
require_once('../view/template/header.php');
?>

    <a href="index.php?action=create-pharmacy" class="btn btn-info">Новая Аптека</a>
    <table class="table table-striped">
        <thead>
        <tr>
            <th>Имя</th>
            <th>Город</th>
            <th>Улица</th>
            <th>Дом</th>
            <th>Телефон</th>
            <th>Действия</th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($pharmacies as $pharmacy) { ?>
            <tr>
                <td><?= htmlspecialchars($pharmacy->name) ?></td>
                <td><?= htmlspecialchars($pharmacy->city) ?></td>
                <td><?= htmlspecialchars($pharmacy->street) ?></td>
                <td><?= htmlspecialchars($pharmacy->house) ?></td>
                <td><?= htmlspecialchars($pharmacy->phone) ?></td>
                <td>
                    <a href="index.php?action=view-pharmacy&id=<?= $pharmacy->id ?>" class="btn btn-primary">
                        <i class="glyphicon glyphicon-eye-open"></i>
                    </a>
                    <a href="index.php?action=update-pharmacy&id=<?= $pharmacy->id ?>" class="btn btn-warning">
                        <i class="glyphicon glyphicon-pencil"></i>
                    </a>
                    <a href="index.php?action=delete-pharmacy&id=<?= $pharmacy->id ?>" class="btn btn-danger">
                        <i class="glyphicon glyphicon-trash"></i>
                    </a>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
<?php
require_once('../view/template/footer.php');
?>