<?php
require_once('../view/template/header.php');
?>

    <a href="index.php?action=create-pharmacydrug" class="btn btn-info">Добавить Лекарство в Аптеку</a>
    <table class="table table-striped">
        <thead>
        <tr>
            <th>Аптека</th>
            <th>Лекарство</th>
            <th>Количество</th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($pharmacyDrugs as $pharmacyDrug) { ?>
            <tr>
                <td><?= htmlspecialchars($pharmacyDrug->namePharmacy) ?></td>
                <td><?= htmlspecialchars($pharmacyDrug->nameDrug) ?></td>
                <td><?= htmlspecialchars($pharmacyDrug->quantity) ?></td>
                <td>
                    <a href="index.php?action=view-pharmacydrug&idpharmacy=<?= $pharmacyDrug->idPharmacy ?>&iddrug=<?= $pharmacyDrug->idDrug ?>" class="btn btn-primary">
                        <i class="glyphicon glyphicon-eye-open"></i>
                    </a>
                    <a href="index.php?action=update-pharmacydrug&idpharmacy=<?= $pharmacyDrug->idPharmacy ?>&iddrug=<?= $pharmacyDrug->idDrug ?>" class="btn btn-warning">
                        <i class="glyphicon glyphicon-pencil"></i>
                    </a>
                    <a href="index.php?action=delete-pharmacydrug&idpharmacy=<?= $pharmacyDrug->idPharmacy ?>&iddrug=<?= $pharmacyDrug->idDrug ?>" class="btn btn-danger">
                        <i class="glyphicon glyphicon-trash"></i>
                    </a>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
<?php
require_once('../view/template/footer.php');
?>