<?php
namespace App\Model;

class PharmacyDrug extends ModelAbstract
{
    public $idPharmacy;
    public $idDrug;
    public $namePharmacy;
    public $nameDrug;
    public $quantity;

    public function __construct(int $idPharmacy, int $idDrug, int $quantity, string $namePharmacy = null,  string $nameDrug = null)
    {
        $this->idPharmacy = $idPharmacy;
        $this->idDrug = $idDrug;
        $this->namePharmacy = $namePharmacy;
        $this->nameDrug = $nameDrug;
        $this->quantity = $quantity;
    }

    public function validate(): bool
    {
        if (!is_int($this->quantity)) {
            return false;
        }
        return true;
    }
}
