<?php
require_once('../view/template/header.php');
?>

    <a href="index.php?action=create-drug" class="btn btn-info">Новое Лекарство</a>
    <table class="table table-striped">
        <thead>
        <tr>
            <th>Наименование</th>
            <th>Группа</th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($drugs as $drug) { ?>
            <tr>
                <td><?= htmlspecialchars($drug->name) ?></td>
                <td><?= htmlspecialchars($drug->group) ?></td>
                <td>
                    <a href="index.php?action=view-drug&id=<?= $drug->id ?>" class="btn btn-primary">
                        <i class="glyphicon glyphicon-eye-open"></i>
                    </a>
                    <a href="index.php?action=update-drug&id=<?= $drug->id ?>" class="btn btn-warning">
                        <i class="glyphicon glyphicon-pencil"></i>
                    </a>
                    <a href="index.php?action=delete-drug&id=<?= $drug->id ?>" class="btn btn-danger">
                        <i class="glyphicon glyphicon-trash"></i>
                    </a>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
<?php
require_once('../view/template/footer.php');
?>