<?php
require_once('../view/template/header.php');
?>
    <form method="POST" action="index.php?action=<?= $action ?>-pharmacydrug">
        <input type="hidden" id="idPharmacy" name="idPharmacy" value="<?= isset($pharmacyDrug->idPharmacy) ? $pharmacyDrug->idPharmacy : '' ?>">
        <input type="hidden" id="idDrug" name="idDrug" value="<?= isset($pharmacyDrug->idDrug) ? $pharmacyDrug->idDrug : '' ?>">

        <div class="form-group">
        <select class="custom-select d-block my-3" name = "pharmacydrugPharmacy" required >
            <option value="">Open this select menu</option>
            <?php foreach ($pharmacies as $pharmacy) { ?>
                <option <?= !strcmp($action, 'update') ? 'selected' : '' ?> value="<?= $pharmacy->id ?>"><?= $pharmacy->name ?></option>
            <?php } ?>
        </select>
        </div>
        <div class="form-group">
        <select class="custom-select d-block my-3" name = "pharmacydrugDrug" required >
            <option value="">Open this select menu</option>
            <?php foreach ($drugs as $drug) { ?>
                <option <?= !strcmp($action, 'update') ? 'selected' : '' ?> value="<?= $drug->id ?>"><?= $drug->name ?></option>
            <?php } ?>
        </select>
        </div>
        <div class="form-group">
            <label for="lastName">Количество</label>
            <input type="text" class="form-control" id="pharmacyDrug-quantity" name="pharmacyDrugQuantity" placeholder="Количество"
                   value="<?= isset($pharmacyDrug->quantity) ? $pharmacyDrug->quantity : '' ?>">
        </div>
        <button type="submit" class="btn btn-default">Отправить</button>
    </form>
<?php
require_once('../view/template/footer.php');
?>